Bug 186746 - Maximized windows not closed in Z order
Maximized windows not closed in Z order
Product: Fedora
Classification: Fedora
Component: metacity (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Depends On:
  Show dependency treegraph
Reported: 2006-03-25 20:47 EST by Herrick, Andrew
Modified: 2014-06-18 05:08 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-25 20:59:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Herrick, Andrew 2006-03-25 20:47:52 EST
Description of problem:
When clicking the "X" in the upper right hand corner of the screen on a stack of
maximized windows, windows further down the stack will be closed if I click to
close to the absolute upper-right hand corner of the screen.

Version-Release number of selected component (if applicable):
FC5 + all errata as of 03/25/2006

How reproducible:

Steps to Reproduce:
1. Open Firefox
2. Open Thunderbird
3. Maximize both
4. Bring Firefox into the foreground.
5. Click the left mouse button in the very top and right hand side of the screen.
6. Watch as Thunderbird will close instead of Firefox.
Actual results:
Thunderbird closed instead of Firefox.

Expected results:
Top-most window in Z order should be closed.

Additional info:
System was recently updated to FC5 using 'yum upgrade' technique from FC4.
Comment 1 Herrick, Andrew 2006-03-25 20:59:34 EST
Closing. I figured it out.

Note You need to log in before you can comment on or make changes to this bug.